/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbInterfaceObj {

    private String itemOrder;
    private String taxonomyItemId;
    private String taxonomyItemSeq;
    private String parentTaxonomyItemId;
    private String parentTaxonomyItemSeq;
    private String itemValue;
    private String itemPrecision;
    private String itemDecimal;
    private String contextType;
    private String contextName;
    private String unitName;
    private String footnoteValue;
    private String namespace;
    private String namespaceUrl;
    private String itemName;

    /**
     * contextNameを取得します。
     * @return contextName
     */
    protected String getContextName() {
        return contextName;
    }

    /**
     * contextNameを設定します。
     * @param contextName contextName
     */
    protected void setContextName(String contextName) {
        this.contextName = contextName;
    }

    /**
     * contextTypeを取得します。
     * @return contextType
     */
    protected String getContextType() {
        return contextType;
    }

    /**
     * contextTypeを設定します。
     * @param contextType contextType
     */
    protected void setContextType(String contextType) {
        this.contextType = contextType;
    }

    /**
     * footnoteValueを取得します。
     * @return footnoteValue
     */
    protected String getFootnoteValue() {
        return footnoteValue;
    }

    /**
     * footnoteValueを設定します。
     * @param footnoteValue footnoteValue
     */
    protected void setFootnoteValue(String footnoteValue) {
        this.footnoteValue = footnoteValue;
    }

    /**
     * itemDecimalを取得します。
     * @return itemDecimal
     */
    protected String getItemDecimal() {
        return itemDecimal;
    }

    /**
     * itemDecimalを設定します。
     * @param itemDecimal itemDecimal
     */
    protected void setItemDecimal(String itemDecimal) {
        this.itemDecimal = itemDecimal;
    }

    /**
     * itemNameを取得します。
     * @return itemName
     */
    protected String getItemName() {
        return itemName;
    }

    /**
     * itemNameを設定します。
     * @param itemName itemName
     */
    protected void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * itemOrderを取得します。
     * @return itemOrder
     */
    protected String getItemOrder() {
        return itemOrder;
    }

    /**
     * itemOrderを設定します。
     * @param itemOrder itemOrder
     */
    protected void setItemOrder(String itemOrder) {
        this.itemOrder = itemOrder;
    }

    /**
     * itemPrecisionを取得します。
     * @return itemPrecision
     */
    protected String getItemPrecision() {
        return itemPrecision;
    }

    /**
     * itemPrecisionを設定します。
     * @param itemPrecision itemPrecision
     */
    protected void setItemPrecision(String itemPrecision) {
        this.itemPrecision = itemPrecision;
    }

    /**
     * itemValueを取得します。
     * @return itemValue
     */
    protected String getItemValue() {
        return itemValue;
    }

    /**
     * itemValueを設定します。
     * @param itemValue itemValue
     */
    protected void setItemValue(String itemValue) {
        this.itemValue = itemValue;
    }

    /**
     * namespaceを取得します。
     * @return namespace
     */
    protected String getNamespace() {
        return namespace;
    }

    /**
     * namespaceを設定します。
     * @param namespace namespace
     */
    protected void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    /**
     * namespaceUrlを取得します。
     * @return namespaceUrl
     */
    protected String getNamespaceUrl() {
        return namespaceUrl;
    }

    /**
     * namespaceUrlを設定します。
     * @param namespaceUrl namespaceUrl
     */
    protected void setNamespaceUrl(String namespaceUrl) {
        this.namespaceUrl = namespaceUrl;
    }

    /**
     * parentTaxonomyItemIdを取得します。
     * @return parentTaxonomyItemId
     */
    protected String getParentTaxonomyItemId() {
        return parentTaxonomyItemId;
    }

    /**
     * parentTaxonomyItemIdを設定します。
     * @param parentTaxonomyItemId parentTaxonomyItemId
     */
    protected void setParentTaxonomyItemId(String parentTaxonomyItemId) {
        this.parentTaxonomyItemId = parentTaxonomyItemId;
    }

    /**
     * parentTaxonomyItemSeqを取得します。
     * @return parentTaxonomyItemSeq
     */
    protected String getParentTaxonomyItemSeq() {
        return parentTaxonomyItemSeq;
    }

    /**
     * parentTaxonomyItemSeqを設定します。
     * @param parentTaxonomyItemSeq parentTaxonomyItemSeq
     */
    protected void setParentTaxonomyItemSeq(String parentTaxonomyItemSeq) {
        this.parentTaxonomyItemSeq = parentTaxonomyItemSeq;
    }

    /**
     * taxonomyItemIdを取得します。
     * @return taxonomyItemId
     */
    protected String getTaxonomyItemId() {
        return taxonomyItemId;
    }

    /**
     * taxonomyItemIdを設定します。
     * @param taxonomyItemId taxonomyItemId
     */
    protected void setTaxonomyItemId(String taxonomyItemId) {
        this.taxonomyItemId = taxonomyItemId;
    }

    /**
     * taxonomyItemSeqを取得します。
     * @return taxonomyItemSeq
     */
    protected String getTaxonomyItemSeq() {
        return taxonomyItemSeq;
    }

    /**
     * taxonomyItemSeqを設定します。
     * @param taxonomyItemSeq taxonomyItemSeq
     */
    protected void setTaxonomyItemSeq(String taxonomyItemSeq) {
        this.taxonomyItemSeq = taxonomyItemSeq;
    }

    /**
     * unitNameを取得します。
     * @return unitName
     */
    protected String getUnitName() {
        return unitName;
    }

    /**
     * unitNameを設定します。
     * @param unitName unitName
     */
    protected void setUnitName(String unitName) {
        this.unitName = unitName;
    }
}